mirror of
https://gitlab.com/mateslackbuilds/msb.git
synced 2024-12-25 21:59:36 +01:00
Remove xdg-utils patch (included in 14.1)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackware-id.org>
This commit is contained in:
parent
2dc548e924
commit
d7f8b44152
1 changed files with 0 additions and 43 deletions
|
@ -1,43 +0,0 @@
|
|||
--- /usr/bin/xdg-open.orig 2013-06-09 22:35:07.143009464 -0400
|
||||
+++ /usr/bin/xdg-open 2013-06-09 23:00:59.408950087 -0400
|
||||
@@ -308,6 +308,7 @@ detectDE()
|
||||
elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
|
||||
elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
|
||||
elif [ x"$DESKTOP_SESSION" == x"LXDE" ]; then DE=lxde;
|
||||
+ elif [ x"$DESKTOP_SESSION" == x"mate" ]; then DE=mate;
|
||||
else DE=""
|
||||
fi
|
||||
}
|
||||
@@ -371,6 +372,21 @@ open_gnome()
|
||||
fi
|
||||
}
|
||||
|
||||
+open_mate()
|
||||
+{
|
||||
+ if gvfs-open --help 2>/dev/null 1>&2; then
|
||||
+ gvfs-open "$1"
|
||||
+ else
|
||||
+ mate-open "$1"
|
||||
+ fi
|
||||
+
|
||||
+ if [ $? -eq 0 ]; then
|
||||
+ exit_success
|
||||
+ else
|
||||
+ exit_failure_operation_failed
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
open_xfce()
|
||||
{
|
||||
exo-open "$1"
|
||||
@@ -539,6 +555,10 @@ case "$DE" in
|
||||
open_gnome "$url"
|
||||
;;
|
||||
|
||||
+ mate)
|
||||
+ open_mate "$url"
|
||||
+ ;;
|
||||
+
|
||||
xfce)
|
||||
open_xfce "$url"
|
||||
;;
|
Loading…
Reference in a new issue